You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@qpid.apache.org by ri...@apache.org on 2007/01/12 17:57:58 UTC

svn commit: r495639 - in /incubator/qpid/trunk/qpid/java/perftests/bin: serviceRequestReply-MultipleClients.sh serviceRequestReply-QuickTest.sh

Author: ritchiem
Date: Fri Jan 12 08:57:58 2007
New Revision: 495639

URL: http://svn.apache.org/viewvc?view=rev&rev=495639
Log:
QPID-285
Added MultipleClients script that allows the specification of the number of clients to run.

The output from this is not very clear as all clients write to a file and the Provider doesn't quit automatically so it is set to quit after a set time based on the number of messages.

Added:
    incubator/qpid/trunk/qpid/java/perftests/bin/serviceRequestReply-MultipleClients.sh   (with props)
Modified:
    incubator/qpid/trunk/qpid/java/perftests/bin/serviceRequestReply-QuickTest.sh

Added: incubator/qpid/trunk/qpid/java/perftests/bin/serviceRequestReply-MultipleClients.sh
URL: http://svn.apache.org/viewvc/incubator/qpid/trunk/qpid/java/perftests/bin/serviceRequestReply-MultipleClients.sh?view=auto&rev=495639
==============================================================================
--- incubator/qpid/trunk/qpid/java/perftests/bin/serviceRequestReply-MultipleClients.sh (added)
+++ incubator/qpid/trunk/qpid/java/perftests/bin/serviceRequestReply-MultipleClients.sh Fri Jan 12 08:57:58 2007
@@ -0,0 +1,53 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+# 
+#   http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+# args supplied: <brokerdetails> <num messages> <num clients>
+
+if [[ $# < 3 ]] ; then
+ echo "usage: ./serviceRequestReply-QuickTest.sh <brokerdetails> <Number of messages> <number of clients> [<P[ersistent]|N[onPersistent] (default N)> <T[ransacted]|N[onTransacted] (default N)>]"
+ exit 1
+fi
+
+thehosts=$1
+shift
+
+numberofmessages=$1
+shift
+
+numberofclients=$1
+shift
+
+. ./setupclasspath.sh
+echo $CP
+
+$JAVA_HOME/bin/java -cp $CP -Damqj.logging.level="warn" -Damqj.test.logging.level="info" -Dlog4j.configuration=src/perftests.log4j org.apache.qpid.requestreply.ServiceProvidingClient $thehosts guest guest /test serviceQ "$@" &
+
+providingclient=$!
+
+./run_many.sh $numberofclients requestClients "./serviceRequestingClient.sh $thehosts $numberofmessages $@"
+
+sleeping=$(( numberofmessages * 1  / 10 ))
+
+echo "Sleeping for $sleeping secconds to completion"
+sleep $sleeping
+
+kill $providingclient
+
+echo "Results"
+cat requestClients.*.out
\ No newline at end of file

Propchange: incubator/qpid/trunk/qpid/java/perftests/bin/serviceRequestReply-MultipleClients.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/qpid/trunk/qpid/java/perftests/bin/serviceRequestReply-MultipleClients.sh
------------------------------------------------------------------------------
    svn:executable = *

Modified: incubator/qpid/trunk/qpid/java/perftests/bin/serviceRequestReply-QuickTest.sh
URL: http://svn.apache.org/viewvc/incubator/qpid/trunk/qpid/java/perftests/bin/serviceRequestReply-QuickTest.sh?view=diff&rev=495639&r1=495638&r2=495639
==============================================================================
--- incubator/qpid/trunk/qpid/java/perftests/bin/serviceRequestReply-QuickTest.sh (original)
+++ incubator/qpid/trunk/qpid/java/perftests/bin/serviceRequestReply-QuickTest.sh Fri Jan 12 08:57:58 2007
@@ -19,7 +19,7 @@
 #
 # args supplied: <brokerdetails> <num messages>
 
-if [[ $# != 2 ]] ; then
+if [[ $# < 2 ]] ; then
  echo "usage: ./serviceRequestReply-QuickTest.sh <brokerdetails> <Number of messages> [<P[ersistent]|N[onPersistent] (default N)> <T[ransacted]|N[onTransacted] (default N)>]"
  exit 1
 fi